Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.Property

    java.lang.Object
      java.lang.Enum<Video.Property>
          com.skype.api.Video.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Video.Property>

Enclosing class:
  Video

    public static enum Video.Property

extends java.lang.Enum<Video.Property>
implements PropertyEnumConverting

Properties of the Video class

Enum Constant Summary
`P_CONVO_ID`
`P_DEBUG_INFO`
`P_DEVICE_PATH`
`P_DIMENSIONS`
`P_ERROR`
`P_MEDIA_TYPE`
`P_STATUS`
`P_UNKNOWN`

Field Summary
`static int` | `P_CONVO_ID_VALUE`
`static int` | `P_DEBUG_INFO_VALUE`
`static int` | `P_DEVICE_PATH_VALUE`
`static int` | `P_DIMENSIONS_VALUE`
`static int` | `P_ERROR_VALUE`
`static int` | `P_MEDIA_TYPE_VALUE`
`static int` | `P_STATUS_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Video.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Video.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Video.Property P_UNKNOWN

### P_STATUS

    public static final Video.Property P_STATUS

### P_ERROR

    public static final Video.Property P_ERROR

### P_DEBUG_INFO

    public static final Video.Property P_DEBUG_INFO

### P_DIMENSIONS

    public static final Video.Property P_DIMENSIONS

### P_MEDIA_TYPE

    public static final Video.Property P_MEDIA_TYPE

### P_CONVO_ID

    public static final Video.Property P_CONVO_ID

### P_DEVICE_PATH

    public static final Video.Property P_DEVICE_PATH

Field Detail

### P_STATUS_VALUE

    public static final int P_STATUS_VALUE

See Also:
  Constant Field Values

### P_ERROR_VALUE

    public static final int P_ERROR_VALUE

See Also:
  Constant Field Values

### P_DEBUG_INFO_VALUE

    public static final int P_DEBUG_INFO_VALUE

See Also:
  Constant Field Values

### P_DIMENSIONS_VALUE

    public static final int P_DIMENSIONS_VALUE

See Also:
  Constant Field Values

### P_MEDIA_TYPE_VALUE

    public static final int P_MEDIA_TYPE_VALUE

See Also:
  Constant Field Values

### P_CONVO_ID_VALUE

    public static final int P_CONVO_ID_VALUE

See Also:
  Constant Field Values

### P_DEVICE_PATH_VALUE

    public static final int P_DEVICE_PATH_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Video.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.Property c : Video.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Video.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.